## Search

this page last updated: 2019-10-20 23:48:27

# Search

## search facet list

List Searchlight Facets.

    openstack search facet list
        [--type <resource-type>]
        [--limit-terms <limit>]
        [--all-projects]

`--type``<resource-type>`

  Get facets for a particular resource type.

`--limit-terms``<limit>`

  Restricts the number of options returned for fields that support facet terms.

`--all-projects```

  Request facet terms for all projects (admin only).

## search resource type list

List Searchlight Resource Type (Plugin).

    openstack search resource type list

## search query

Search Searchlight resource.

    openstack search query
    --type [<resource-type> [<resource-type> ...]]
    --all-projects
    --source [[<field>,...]]
    --json
    <query>

`--type``[<resource-type> [<resource-type> ...]]`

  One or more types to search. Uniquely identifies resource types. Example: `--type OS::Glance::Image OS::Nova::Server`

`--all-projects```

  By default searches are restricted to the current project unless all_projects is set.

`--source``[[<field>,...]]`

  Whether to display the json source. If not specified, it will not be displayed. If specified with no argument, the full source will be displayed. Otherwise, specify the fields combined with ‘,’ to return the fields you want. It is recommended that you use the `--max-width` argument with this option.

`--json```

  Treat the query argument as a JSON formatted DSL query.

this page last updated: 2019-10-20 23:48:27

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug questions?